GNU bug report logs - #57899
emacs-jsonrpc hash mismatch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Fredrik Salomonsson <plattfot@HIDDEN>; Done: Fredrik Salomonsson <plattfot@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 57899-done <at> debbugs.gnu.org:


Received: (at 57899-done) by debbugs.gnu.org; 24 Sep 2022 20:04:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 16:04:08 2022
Received: from localhost ([127.0.0.1]:45326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ocBNg-00050M-HK
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 16:04:08 -0400
Received: from mout01.posteo.de ([185.67.36.65]:33767)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <plattfot@HIDDEN>) id 1ocBNd-0004zq-Qi
 for 57899-done <at> debbugs.gnu.org; Sat, 24 Sep 2022 16:04:07 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id C109A240026
 for <57899-done <at> debbugs.gnu.org>; Sat, 24 Sep 2022 22:03:59 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1664049839; bh=rVVxn5IXaQB/qydZpjWHmM5tG3Nb2sp+iIpS0oPTWAo=;
 h=From:To:Subject:Date:From;
 b=eLh4tS9KI840A1NZP0+/MWhsCkgXk1gcSoyzZwZT4GGC9bBKPfGmYMNqXuDKRJ+Xi
 1MtITj0/CybEm81aZfnhrC98qj9vPovxS0F/yhlz39R8W075+GpfSQ0ADYyXLhqNII
 ITh2LvHmqi1flICZZcY4DhLYQuTiRRQc1QD1oHkQvqMbLNcCxFR/2rUIHGc1KDLUlY
 8e3ZK8tg3Ll0WXEYiqQzXNdzyF2qfohxN6ejuOrWR4FtUsm3uMBVXnsAzcSq9Iq3Yo
 eKuqo6LudqI7OkUp4t6b31prkQA2cmCBikD2LltSR6maTZjuvuBIf1FlA6MarkTPh2
 Xf+OSc5Q7VW0Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4MZg2Q6FBwz9rxQ
 for <57899-done <at> debbugs.gnu.org>; Sat, 24 Sep 2022 22:03:57 +0200 (CEST)
From: Fredrik Salomonsson <plattfot@HIDDEN>
To: 57899-done <at> debbugs.gnu.org
Subject: Re: bug#57899: emacs-jsonrpc hash mismatch
In-Reply-To: <87y1udcvjd.fsf@HIDDEN>
References: <874jx5wmd5.fsf@HIDDEN> <87r1072gfz.fsf@HIDDEN>
 <87tu5291r0.fsf@HIDDEN> <87y1udcvjd.fsf@HIDDEN>
Date: Sat, 24 Sep 2022 20:03:55 +0000
Message-ID: <871qs05yl0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57899-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Fredrik Salomonsson <plattfot@HIDDEN> writes:

>> I'll see if I can create a patch that extracts jsonrpc from emacs'
>> master branch. To avoid this issue in the future.
>
> Created a patch for it, see 57964[0].
>
> [0] https://issues.guix.gnu.org/57964

The patches has landed in the main channel and I can now build
emacs-jsonrpc without any issue. Closing this thread.

Thanks everyone for the help!

-- 
s/Fred[re]+i[ck]+/Fredrik/g




Notification sent to Fredrik Salomonsson <plattfot@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Fredrik Salomonsson <plattfot@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 57899 <at> debbugs.gnu.org:


Received: (at 57899) by debbugs.gnu.org; 21 Sep 2022 02:26:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 22:26:42 2022
Received: from localhost ([127.0.0.1]:60150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oapRi-00022J-CY
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2022 22:26:42 -0400
Received: from mout02.posteo.de ([185.67.36.66]:46067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <plattfot@HIDDEN>) id 1oapRg-000224-8T
 for 57899 <at> debbugs.gnu.org; Tue, 20 Sep 2022 22:26:40 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id BB1FF240101
 for <57899 <at> debbugs.gnu.org>; Wed, 21 Sep 2022 04:26:34 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1663727194; bh=Bgidb8VyfzN4V+Z+0W5J48zrdcF+agqrLm1OdJVLitc=;
 h=From:To:Subject:Date:From;
 b=pVXyGSx3wHfVig8zQu8yzKNvwjDE7uNiDfxnt/CyCy8y3uJuXyK986C4b2kAupUBs
 3l+hfLfPMnbzzpQmp6eyD69iZGFFr6bvp+nC2ENX0wLFwVf5fQOBpaahqxvbj1DQU1
 FpXA1HzYjq+CPc0lk98edxR0O51TKrZi/KjKqmJnONApvbMJPDPAZVbyUNAzxcia9y
 FPWzy9OiVd5BS1btF/fa0oGDVT+buZoWt1NxI8/GS1Mun54hWZeFevQcm+5yxdxKG1
 5kQo+fYGAaNBU9y6Em4ZUpdok4F/xnAynw/yxqb6TAi56jDflGdslhR69ixWTcwg+2
 9+3VQ9Cc0nAJQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4MXMjh1WjFz6tm9;
 Wed, 21 Sep 2022 04:26:32 +0200 (CEST)
From: Fredrik Salomonsson <plattfot@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>, 57899 <at> debbugs.gnu.org
Subject: Re: bug#57899: emacs-jsonrpc hash mismatch
In-Reply-To: <87tu5291r0.fsf@HIDDEN>
References: <874jx5wmd5.fsf@HIDDEN> <87r1072gfz.fsf@HIDDEN>
 <87tu5291r0.fsf@HIDDEN>
Date: Wed, 21 Sep 2022 02:26:30 +0000
Message-ID: <87y1udcvjd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57899
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


> I'll see if I can create a patch that extracts jsonrpc from emacs'
> master branch. To avoid this issue in the future.

Created a patch for it, see 57964[0].

[0] https://issues.guix.gnu.org/57964

-- 
s/Fred[re]+i[ck]+/Fredrik/g




Information forwarded to bug-guix@HIDDEN:
bug#57899; Package guix. Full text available.

Message received at 57899 <at> debbugs.gnu.org:


Received: (at 57899) by debbugs.gnu.org; 20 Sep 2022 03:22:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 23:22:22 2022
Received: from localhost ([127.0.0.1]:55704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaTq2-0006Aa-9n
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 23:22:22 -0400
Received: from mout01.posteo.de ([185.67.36.65]:34261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <plattfot@HIDDEN>) id 1oaTq0-0006AO-6o
 for 57899 <at> debbugs.gnu.org; Mon, 19 Sep 2022 23:22:20 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 9559F240026
 for <57899 <at> debbugs.gnu.org>; Tue, 20 Sep 2022 05:22:14 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1663644134; bh=v5vkg11VZPCHxj5Q5PxB4OSg+qd2lKRMtjDBgFdFiFw=;
 h=From:To:Subject:Date:From;
 b=LHyeMDye4lN7e5UZVy5Zqdtqrq2L29Nc5l66V4UpMWiDe3i4LKVem9xhMIxhW4q9/
 MeuNHcx7ZsjGgScBK/1eW8LUfju5TgKyWmu5IIWN528UXrqXxctfb/YcI72zoeeVSL
 koiq32rOH92VDSefWehQfstkUbGUXoK4F4rs+wDITNBPy/VJMb4XIdqRolrVXwhMpt
 lT4pYNidFCeC8Jezzu8Gdq4vnaqSvdjReQCtoWkI/gvMqeFwr5rsTXEJDXuIoAkPGM
 8DLBVlEvJmPg/CLgDmD7TtDiwb6fM3y3y7vKK3+a+J8uC/eWimXFP+p+uhOjgzS60I
 mkUECeRg+7yBA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4MWn0P2Y3kz6tns;
 Tue, 20 Sep 2022 05:22:13 +0200 (CEST)
From: Fredrik Salomonsson <plattfot@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>, 57899 <at> debbugs.gnu.org
Subject: Re: bug#57899: emacs-jsonrpc hash mismatch
In-Reply-To: <87tu5291r0.fsf@HIDDEN>
References: <874jx5wmd5.fsf@HIDDEN> <87r1072gfz.fsf@HIDDEN>
 <87tu5291r0.fsf@HIDDEN>
Date: Tue, 20 Sep 2022 03:22:11 +0000
Message-ID: <87r10691cs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57899
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


> I'll see if I can create a patch that extracts jsonrpc from emacs'
> master branch. To avoid this issue in the future.

An alternative is to remove it. It is only used by emacs-eglot which
requires 1.0.14 and up. Which should be in emacs-28 if I'm not mistaken.

-- 
s/Fred[re]+i[ck]+/Fredrik/g




Information forwarded to bug-guix@HIDDEN:
bug#57899; Package guix. Full text available.

Message received at 57899 <at> debbugs.gnu.org:


Received: (at 57899) by debbugs.gnu.org; 20 Sep 2022 03:13:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 23:13:51 2022
Received: from localhost ([127.0.0.1]:55692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaThn-0005x3-4a
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 23:13:51 -0400
Received: from mout01.posteo.de ([185.67.36.65]:55853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <plattfot@HIDDEN>) id 1oaThl-0005wp-69
 for 57899 <at> debbugs.gnu.org; Mon, 19 Sep 2022 23:13:49 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id EB8DE240026
 for <57899 <at> debbugs.gnu.org>; Tue, 20 Sep 2022 05:13:42 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1663643623; bh=KfEK1F/i1CAt49+Vh5NwLr/VUq+9juHsaddaBDrFpM0=;
 h=From:To:Subject:Date:From;
 b=AtvPDdb0idcHRJ3oaTUWXE6EvaoDZcnCy8asXtQTRfKN0ok+emUM1HhMX5GIjXtPt
 fR7/dU5H4wSc8BDUtbRcCdLhl33Q5pVRGI7JECXuan3r+rQtGgKSGpf86F81f8zJf4
 zlUOOQ9QkQWr0DQ0z2k1WkQz8ugQHomGYwbs33sKWHoVfAh1zaZbCsLD9eT9pWRX4I
 CyQ9v3l2eJdb5vXG3mpu0CI9mAT2RDY1ZA13XGrcA8tgA2GD0hi5xxSRnuBUvVxNkh
 ZmPOHUHPQUosNoq/WetsM/J7yj/qQ1V9URfCB648ZHCsis4zUE8NdOVoDCV6+k8aol
 NXNEbfbmgz3kQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4MWmpY4vP6z6tnm;
 Tue, 20 Sep 2022 05:13:41 +0200 (CEST)
From: Fredrik Salomonsson <plattfot@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>, 57899 <at> debbugs.gnu.org
Subject: Re: bug#57899: emacs-jsonrpc hash mismatch
In-Reply-To: <87r1072gfz.fsf@HIDDEN>
References: <874jx5wmd5.fsf@HIDDEN> <87r1072gfz.fsf@HIDDEN>
Date: Tue, 20 Sep 2022 03:13:39 +0000
Message-ID: <87tu5291r0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 57899
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Hi Josselin,

Josselin Poiret <dev@HIDDEN> writes:

> Hi Frederik,
>
> Fredrik Salomonsson <plattfot@HIDDEN> writes:
>
>> Not sure what is going on. Or what is the best approach forward.
>>
>> Any ideas what could be wrong?
>
> I downloaded the derivation and original source from ci using `guix
> substitute --substitute` and compared the old and new .tar files using
> diffoscope.  It seems the new one only has more recent timestamps, thus
> leading to a different hash.  Maybe ELPA regenerates their archives,
> like GitHub tarballs?  One more example why we should prefer git-fetch
> instead.

Cool, did not know about diffoscope. It sounds like they did. I'll see
if I can create a patch that extracts jsonrpc from emacs' master branch.
To avoid this issue in the future.

-- 
s/Fred[re]+i[ck]+/Fredrik/g




Information forwarded to bug-guix@HIDDEN:
bug#57899; Package guix. Full text available.

Message received at 57899 <at> debbugs.gnu.org:


Received: (at 57899) by debbugs.gnu.org; 19 Sep 2022 21:38:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 17:38:12 2022
Received: from localhost ([127.0.0.1]:55495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaOSx-000446-O1
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 17:38:11 -0400
Received: from jpoiret.xyz ([206.189.101.64]:55106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1oaOSw-00043z-GG
 for 57899 <at> debbugs.gnu.org; Mon, 19 Sep 2022 17:38:11 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id CED92184D6B;
 Mon, 19 Sep 2022 21:38:08 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1663623489;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=9rRn4LbyVUl9dS/TfXse3k/wXUYnDblGFzmtdueN+2M=;
 b=voWJfMd6cKyxWRJNgGYBhrIyAK1LE40a5zNUPS7O2c0C4VZ/qCxryT1Y9RDuP8LwM0y5bp
 OoXV2cK/nGvWStk+723Df90EaU9C7ypf2ZGyivgATgzXZBwk4Q4bx3vlKlAJoWIZ9zzFLG
 kZkNVtvYRT7MW4BvBfNp1yRWuUnLI4KNDkjcBiEoU8fr1Va7qNxBqVipNht4+MaDTe/nlA
 LMCrP6J/PL/Wfz7nTjFJFOq6JZ9WGWp4gVo8URBrRk/ISEv2IKmbFOsezen7xSxKkSITaG
 pAEuzK68QZ5SYCSQYZP06HHtKiChf/iKrGAQSPKiO/nT3uPEsU2qEXjblIk67Q==
From: Josselin Poiret <dev@HIDDEN>
To: Fredrik Salomonsson <plattfot@HIDDEN>, 57899 <at> debbugs.gnu.org
Subject: Re: bug#57899: emacs-jsonrpc hash mismatch
In-Reply-To: <874jx5wmd5.fsf@HIDDEN>
References: <874jx5wmd5.fsf@HIDDEN>
Date: Mon, 19 Sep 2022 23:38:08 +0200
Message-ID: <87r1072gfz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spamd-Bar: /
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Frederik,
 Fredrik Salomonsson <plattfot@HIDDEN> writes:
 > Not sure what is going on. Or what is the best approach forward. > > Any
 ideas what could be wrong? 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 57899
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Frederik, Fredrik Salomonsson <plattfot@HIDDEN> writes:
    > Not sure what is going on. Or what is the best approach forward. > > Any
    ideas what could be wrong? 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Hi Frederik,

Fredrik Salomonsson <plattfot@HIDDEN> writes:

> Not sure what is going on. Or what is the best approach forward.
>
> Any ideas what could be wrong?

I downloaded the derivation and original source from ci using `guix
substitute --substitute` and compared the old and new .tar files using
diffoscope.  It seems the new one only has more recent timestamps, thus
leading to a different hash.  Maybe ELPA regenerates their archives,
like GitHub tarballs?  One more example why we should prefer git-fetch
instead.

Best,
-- 
Josselin Poiret




Information forwarded to bug-guix@HIDDEN:
bug#57899; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Sep 2022 00:35:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 17 20:35:30 2022
Received: from localhost ([127.0.0.1]:47431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZiHS-0003P0-2u
	for submit <at> debbugs.gnu.org; Sat, 17 Sep 2022 20:35:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:49190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <plattfot@HIDDEN>) id 1oZiHQ-0003Os-4X
 for submit <at> debbugs.gnu.org; Sat, 17 Sep 2022 20:35:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59836)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <plattfot@HIDDEN>)
 id 1oZiHP-0004iG-Ty
 for bug-guix@HIDDEN; Sat, 17 Sep 2022 20:35:28 -0400
Received: from mout02.posteo.de ([185.67.36.66]:60513)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <plattfot@HIDDEN>)
 id 1oZiHN-0007Ab-Mp
 for bug-guix@HIDDEN; Sat, 17 Sep 2022 20:35:27 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 9D269240101
 for <bug-guix@HIDDEN>; Sun, 18 Sep 2022 02:35:21 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1663461323; bh=87qsbv0HJ2+EBNu/pj6tZM3jj4ZMJxhnSq43cHNY7tA=;
 h=From:To:Subject:Date:From;
 b=kPx1VmcPbCvtqUaH272WX1qd3HOtthkGjt7msVUyfVsMz6JNwkW7zF6L5sfoUELtB
 CJlrwvJ3tGpHwF5xPhQ8mZniKwgfpErubVIbk1xeCmvzuZJ6gtn0tI2CRdaw6p+AB1
 e04qH43JLQtS7T3llmvyOioE9s3jtkqLkWHtkDx/VLv+mwkt2acQqrJ7eFnZFM+4Kt
 jnvjrDv6lLCn5KVlLwKsOV/cn5tKLrCPk1DNKKezZocLRjSMUIUGCrGM36SDYtc1uC
 OKbh3iYRNaeqKI8S82es0qHJd9wI1WNjbgLO5Trn9Hj4QR8p2GL/IdSv4n/ftRII7D
 dbEaV0N1p3hCA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4MVTNm1xXFz6tlh
 for <bug-guix@HIDDEN>; Sun, 18 Sep 2022 02:35:19 +0200 (CEST)
From: Fredrik Salomonsson <plattfot@HIDDEN>
To: bug-guix@HIDDEN
Subject: emacs-jsonrpc hash mismatch
Date: Sun, 18 Sep 2022 00:35:18 +0000
Message-ID: <874jx5wmd5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=185.67.36.66; envelope-from=plattfot@HIDDEN;
 helo=mout02.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,

After I did a guix pull emacs-jsonrpc fails to build. Getting this:

---=E2=9C=80---------------------------------------------------------------=
-------------
building /gnu/store/gbcl55whjaxbvipa8jk7k4jbihnccn2a-jsonrpc-1.0.15.tar.drv=
...
\sha256 hash mismatch for /gnu/store/6x4d5gd3hlml4kcgj9xcqwpjrgq3059f-jsonr=
pc-1.0.15.tar:
  expected hash: 1hx378rg12jz2zm105cvrqk0nqyzsn04l59d903l98d6lbd96rsw
  actual hash:   0biwvkvd48xqvigzs00yz4mk847xzyzm7p0lkns58fxph9nkg4h5
hash mismatch for store item '/gnu/store/6x4d5gd3hlml4kcgj9xcqwpjrgq3059f-j=
sonrpc-1.0.15.tar'
build of /gnu/store/gbcl55whjaxbvipa8jk7k4jbihnccn2a-jsonrpc-1.0.15.tar.drv=
 failed
View build log at '/var/log/guix/drvs/gb/cl55whjaxbvipa8jk7k4jbihnccn2a-jso=
nrpc-1.0.15.tar.drv.gz'.
cannot build derivation `/gnu/store/j5vdxaxnh92qvf931axizfabk5y7x1k6-emacs-=
jsonrpc-1.0.15.drv': 1 dependencies couldn't be built
guix home: error: build of `/gnu/store/j5vdxaxnh92qvf931axizfabk5y7x1k6-ema=
cs-jsonrpc-1.0.15.drv' failed=20
---------------------------------------------------------------------------=
-----

After some investigating it doesn't look like the emacs-jsonrpc package des=
cription
has changed. Odd thing is that the source doesn't seem to have changed
either, I diffed it against the emacs-jsonrpc derivation I currently
have installed and both source files match.

I downloaded the source from elpa and checked the hash:
---=E2=9C=80---------------------------------------------------------------=
-------------
$ wget https://elpa.gnu.org/packages/jsonrpc-1.0.15.tar
$ guix hash jsonrpc-1.0.15.tar
0biwvkvd48xqvigzs00yz4mk847xzyzm7p0lkns58fxph9nkg4h5
---------------------------------------------------------------------------=
-----

And it matches the hash guix get as well and not what is in the package
definition.

I'm using:

  guix ee0768c
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: ee0768c7924134f7b4b215670c2a3ae481268fab

Not sure what is going on. Or what is the best approach forward.

Any ideas what could be wrong?

--=20
s/Fred[re]+i[ck]+/Fredrik/g




Acknowledgement sent to Fredrik Salomonsson <plattfot@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#57899; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Sep 2022 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.